get
https://api.rotowire.com/Baseball/MLB/News/Updates.php
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
date | string | No | Date to retrieve news for. Format YYYY-MM-DD. Defaults to current date. |
hours | integer | No | Return news from the last N hours. |
max_priority | integer | No | Return only news at or above this priority level. |
Attributes
Top-Level Fields
| Field | Type | Description |
|---|---|---|
Date | string | |
Updates | array |
Updates Object
| Field | Type | Description |
|---|---|---|
Id | integer | |
DateTime | string | |
Priority | integer | |
Headline | string | |
Notes | string | |
Player | object | |
Team | object |
Example Response
{
"Date": "2026-05-11",
"Updates": [
{
"Id": 1002643,
"DateTime": "2026-05-11T12:02:36-07:00",
"Priority": 1,
"Headline": "Not throwing, eyes late-May return",
"Notes": "The Orioles announced Monday that Helsley (elbow) hasn't been cleared to start a throwing program.",
"Player": {
"Id": 14404,
"FirstName": "Ryan",
"LastName": "Helsley",
"Position": "P",
"LeagueLevel": "MAJORS",
"Link": "https://www.rotowire.com/baseball/player/ryan-helsley-14404",
"Injury": {
"Status": "15-DAY IL",
"Type": "Elbow",
"Detail": "Inflammation",
"Side": "Right",
"ReturnDate": "2026-05-22"
}
},
"Team": {
"Id": 3,
"Code": "BAL",
"Name": "Baltimore Orioles",
"Nickname": "Orioles"
}
}
]
}